Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.gen
Class EPPValue

    java.lang.Object
      com.verisign.epp.codec.gen.EPPValue

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPValue

extends java.lang.Object
implements EPPCodecComponent

Identifies a client-provided element (including XML tag and value) that caused a server error condition. The value includes a reference to the namespace URI and namespace prefix for encoding the value. The `String` value needs to be set using XML with the specified namespace prefix. For example, the URI could be "urn:ietf:params:xml:ns:domain-1.0", the prefix could be "domain", and the value could be <domain:name>example.com</domain>. The default namespace prefix is "epp" and the default URI is "urn:ietf:params:xml:ns:epp-1.0".

See Also:
  `EPPResult`, Serialized Form

Field Summary
`static java.lang.String` | `DEFAULT_NS` Default namespace
`static java.lang.String` | `DEFAULT_PREFIX` Default namespace prefix

Constructor Summary
`EPPValue()` Default constructor for serialization.
`EPPValue(java.lang.String aValue)` Allocates a new `EPPValue` with only the `String` value.
`EPPValue(java.lang.String aValue, java.lang.String aPrefix, java.lang.String aNamespace)` Allocates a new `EPPValue` with all attribute values.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPValue`.
`void` | `decode(org.w3c.dom.Element aElement)` decode `EPPValue` from a DOM element tree.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` encode `EPPValue` into a DOM element tree.
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPValue` compare.
`java.lang.String` | `getNamespace()` Gets the XML namespace URI of the client element.
`java.lang.String` | `getPrefix()` Gets the XML prefix of the client element.
`java.lang.String` | `getValue()` Gets XML `String` that identifies a client-provided element (including XML tag and value) that caused a server error.
`void` | `setNamespace(java.lang.String aNamespace)` Sets the XML namespace URI of the client element.
`void` | `setPrefix(java.lang.String aPrefix)` Sets the XML prefix of the client element.
`void` | `setValue(java.lang.String aValue)` Sets XML `String` that identifies a client-provided element (including XML tag and value) that caused a server error.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_PREFIX

    public static final java.lang.String DEFAULT_PREFIX

  Default namespace prefix

  See Also:
    Constant Field Values

### DEFAULT_NS

    public static final java.lang.String DEFAULT_NS

  Default namespace

  See Also:
    Constant Field Values

Constructor Detail

### EPPValue

    public EPPValue()

  Default constructor for serialization. The `value` attribute must be set before calling `encode`.

### EPPValue

    public EPPValue(java.lang.String aValue)

  Allocates a new `EPPValue` with only the `String` value. The prefix and namespace to `DEFAULT_PREFIX` and `DEFAULT_NS` respectively.

  Parameters:
    `aValue` - XML `String` that identifies a client-provided element (including XML tag and value) that caused a server error.

### EPPValue

    public EPPValue(java.lang.String aValue,
                    java.lang.String aPrefix,
                    java.lang.String aNamespace)

  Allocates a new `EPPValue` with all attribute values.

  Parameters:
    `aValue` - XML `String` that identifies a client-provided element (including XML tag and value) that caused a server error. For example, <domain:name>example.com</domain>.
    `aPrefix` - XML Namespace prefix. For example, "domain" or "epp".
    `aNamespace` - XML Namespace URI. For example, "urn:ietf:params:xml:ns:domain-1.0".

Method Detail

### getValue

    public java.lang.String getValue()

  Gets XML `String` that identifies a client-provided element (including XML tag and value) that caused a server error.

  Returns:
    XML `String` value using namespace prefix.

### setValue

    public void setValue(java.lang.String aValue)

  Sets XML `String` that identifies a client-provided element (including XML tag and value) that caused a server error.

  Parameters:
    `aValue` - XML `String` that identifies a client-provided element (including XML tag and value) that caused a server error. For example, <domain:name>example.com</domain>.

### getPrefix

    public java.lang.String getPrefix()

  Gets the XML prefix of the client element. For example, "domain" or the default value "epp".

  Returns:
    XML prefix `String`

### setPrefix

    public void setPrefix(java.lang.String aPrefix)

  Sets the XML prefix of the client element. For example, "domain" or the default value "epp".

  Parameters:
    `aPrefix` - XML prefix `String`

### getNamespace

    public java.lang.String getNamespace()

  Gets the XML namespace URI of the client element. For example, "urn:ietf:params:xml:ns:domain-1.0" or the default value "urn:ietf:params:xml:ns:epp-1.0".

  Returns:
    XML namespace URI `String`

### setNamespace

    public void setNamespace(java.lang.String aNamespace)

  Sets the XML namespace URI of the client element. For example, "urn:ietf:params:xml:ns:domain-1.0" or the default value "urn:ietf:params:xml:ns:epp-1.0".

  Parameters:
    `aNamespace` - XML namespace URI `String`

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  encode `EPPValue` into a DOM element tree.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOCUMENT ME!
  Returns:
    <extValue> root element tree.
  Throws:
    `EPPEncodeException` - Error encoding the DOM element tree.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  decode `EPPValue` from a DOM element tree. The `aElement` argument needs to be the "extValue" element.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - The "extValue" XML element.
  Throws:
    `EPPDecodeException` - Error decoding the DOM element tree.

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPValue` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPValue` instance to compare with
  Returns:
    `true` if equal; `false` otherwise

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPValue`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    Deep copy clone of `EPPValue`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.